# Uses of Class
org.eclipse.gef.editparts.ZoomManager

Packages that use ZoomManager
Package
Description
org.eclipse.gef.editparts
This package contains abstract implementation of the EditPart interface.
org.eclipse.gef.ui.actions
This package support for using JFace Actions in your EditorPart.

## Uses of ZoomManager in org.eclipse.gef.editparts

Methods in org.eclipse.gef.editparts that return ZoomManager
Modifier and Type
Method
Description
`protected ZoomManager`
ScalableFreeformRootEditPart.`createZoomManager(org.eclipse.draw2d.ScalableFigure scalableFigure, org.eclipse.draw2d.Viewport viewport)`
Responsible of creating a `ZoomManager` to be used by this `ScalableRootEditPart`.
`protected ZoomManager`
ScalableRootEditPart.`createZoomManager(org.eclipse.draw2d.ScalableFigure scalableFigure, org.eclipse.draw2d.Viewport viewport)`
Responsible of creating a `ZoomManager` to be used by this `ScalableRootEditPart`.
`ZoomManager`
ScalableFreeformRootEditPart.`getZoomManager()`
Returns the zoomManager.
`ZoomManager`
ScalableRootEditPart.`getZoomManager()`
Returns the zoomManager.

## Uses of ZoomManager in org.eclipse.gef.ui.actions

Fields in org.eclipse.gef.ui.actions declared as ZoomManager
Modifier and Type
Field
Description
`protected ZoomManager`
ZoomAction.`zoomManager`
The ZoomManager used to zoom in or out
`protected ZoomManager`
ZoomAction.`zoomManager`
The ZoomManager used to zoom in or out
Methods in org.eclipse.gef.ui.actions that return ZoomManager
Modifier and Type
Method
Description
`ZoomManager`
ZoomComboContributionItem.`getZoomManager()`
Returns the zoomManager.
Methods in org.eclipse.gef.ui.actions with parameters of type ZoomManager
Modifier and Type
Method
Description
`void`
ZoomComboContributionItem.`setZoomManager(ZoomManager zm)`
Sets the ZoomManager
Constructors in org.eclipse.gef.ui.actions with parameters of type ZoomManager
Modifier
Constructor
Description
``
`ZoomInAction(ZoomManager zoomManager)`
Constructor for ZoomInAction.
``
`ZoomOutAction(ZoomManager zoomManager)`
Constructor for ZoomOutAction.